/**
 *
 */
import { StringDictionary } from "../util/StringDictionary";
export declare class DialogRequest {
    private static ACTIONS;
    private static AVAILABLE_VALUES;
    private static AVAILABLE_VIEWS;
    private static CONTENT;
    private static DIALOGS;
    private static RECORD;
    private static RECORDS;
    private static REDIRECTIONS;
    private static SELECTED_VIEW;
    private static SESSIONS;
    private static TENANTS;
    private static VIEW_MODE;
    private static WORKBENCHES;
    private _baseUrl;
    private _body;
    private _fetchClientParams;
    private _queryParams;
    private _resourcePath;
    private _resourcePathElems;
    constructor(baseUrl: string, resourcePath: string, body: StringDictionary, queryParams: StringDictionary, formData: FormData, fetchClientParams: any[]);
    static createFromDeleteRequest(baseUrl: string, resourcePath: string): DialogRequest;
    static createFromGetRequest(baseUrl: string, resourcePath: string, queryParams: StringDictionary): DialogRequest;
    static createFromPostRequest(baseUrl: string, resourcePath: string, body: StringDictionary): DialogRequest;
    static createFromPutRequest(baseUrl: string, resourcePath: string, body: StringDictionary): DialogRequest;
    static createFromPostMultipartRequest(baseUrl: string, resourcePath: string, formData: FormData): DialogRequest;
    actionId(): string;
    baseUrl(): string;
    body(): StringDictionary;
    deconstructDeleteDialogPath(): any;
    deconstructDeleteSessionPath(): any;
    deconstructGetDialogPath(): any;
    deconstructGetRecordPath(): any;
    deconstructGetRedirectionPath(): any;
    deconstructPostMenuActionPath(): any;
    deconstructPostRecordsPath(): any;
    deconstructPostSessionContentPath(): any;
    deconstructPostSessionsPath(): any;
    deconstructPostWorkbenchActionPath(): any;
    deconstructPutViewModePath(): any;
    deconstructPutPropertyPath(): any;
    deconstructPutRecordPath(): any;
    dialogId(): string;
    fetchClientParams(): any[];
    isCreateSessionPath(): boolean;
    isDeleteDialogPath(): boolean;
    isDeleteSessionPath(): boolean;
    isGetAvailableViewsPath(): boolean;
    isGetDialogPath(): boolean;
    isGetDialogPathWithDialogId(dialogId: string): boolean;
    isGetRecordPath(): boolean;
    isGetRedirectionPath(): boolean;
    isGetSelectedViewPath(): boolean;
    isGetSessionPath(): boolean;
    isGetTenantPath(): boolean;
    isGetTenantsPath(): boolean;
    isGetViewModePath(): boolean;
    isGetWorkbenchesPath(): boolean;
    isPostAvailableValuesPath(): boolean;
    isPostMenuActionPath(): boolean;
    isPostMenuActionPathWithActionId(actionId: string): boolean;
    isPostMenuActionPathWithDialogIdAndActionId(dialogId: string, actionId: string): boolean;
    isPostRecordsPath(): boolean;
    isPostRecordsPathWithDialogId(dialogId: string): boolean;
    isPostSessionPath(): boolean;
    isPostSessionContentPath(): boolean;
    isPostWorkbenchActionPath(): boolean;
    isPostWorkbenchActionPathWithActionId(actionId: string): boolean;
    isPutPropertyPath(): boolean;
    isPutRecordPath(): boolean;
    isPutSelectedViewPath(): boolean;
    isPutViewModePath(): boolean;
    resourcePath(): string;
    resourcePathElems(): string[];
    sessionId(): string;
    targetId(): string;
    targetIds(): string[];
    tenantId(): string;
}
